messaging:
  host: mq.gbif.org
  virtualHost: /users/mdoering
  username: clb
  password: clb
neo:
  neoRepository: /tmp/col/neo
  mappedMemory: 2048
neoSources:
  neoRepository: /tmp/col/neo
  mappedMemory: 256  
sourceLoaderThreads: 3
clb:
  serverName: backbonebuild-vh.gbif.org
  databaseName: clb
  user: clb
  password: "%BBJu2MgstXJ"
  maximumPoolSize: 8
  minimumIdle: 2
  idleTimeout: 60000
  connectionTimeout: 2000
  parserTimeout: 20000
registry:
  wsUrl: http://api.gbif.org/v1
autoImport: true
validate: false
runAssertions: false
groupBasionyms: true
keepLonelyAutonyms: false
keepEmptyImplicitNames: false
reportDir: /home/crap/logs

blacklist:
  - Calendrella cinerea ongumaensis # https://github.com/gbif/checklistbank/issues/47
  - Tricholaema leucomelan namaqua  # https://github.com/gbif/checklistbank/issues/46
  - Hirundo D'Orbigny & Lafresnaye, 1838 # https://github.com/gbif/portal-feedback/issues/3250
  - Unaccepted  
  - Incertae  # https://github.com/gbif/portal-feedback/issues/1845
  - Scientific # https://github.com/gbif/portal-feedback/issues/2726
  - Scientific name
  - Flowering plant
  - Strawberry witches phytoplasma
  - Grey lichens
  - Lichens
  - Lower plants (Lichens)
  - Diptera larva
  - Gen # https://github.com/gbif/checklistbank/issues/230
  - Gen sp
  - Gen spec
  - Sedum rupestre Hacq. ex Nyman, 1879 # https://github.com/gbif/checklistbank/issues/233
  - Polistes gen. Fuscopolistes Fuscopolistes # https://github.com/gbif/portal-feedback/issues/4750
  - Polistes (Fuscopolistes) Fuscopolistes # https://github.com/gbif/portal-feedback/issues/4750
  - Hyla QUOYI – HYLA PRASINA CASE # https://github.com/gbif/checklistbank/issues/273
  - Phimenes de Saussure, 1855 # https://github.com/gbif/portal-feedback/issues/4749
  - Strophorus burrelli Hoser, 2005 # https://github.com/gbif/portal-feedback/issues/4530
  - Strophorus Fitzinger, 1843


sources:
 - key: daacce49-b206-469b-8dc2-2257719f3afa # GBIF Backbone Patch
   rank: KINGDOM
   homonyms: true
   unranked: true
 - key: 7ea21580-4f06-469d-995b-3f713fdcc37c # GBIF Algae Classification
   rank: PHYLUM
 - key: 484039df-cd14-46d1-9a41-c406db8c7ced # Alucitoidea Hobern
   rank: PHYLUM
 - key: c815ecb1-b036-4617-b545-1bb65e0339cd # Pterophoroidea Hobern
   rank: PHYLUM
 - key: 7be186c4-5572-44e6-9f11-69ddbfd95078 # Hominidae
   rank: PHYLUM
 - key: a97f36e5-ded1-49cc-bdec-ac6170fc7b9c # Genome Taxonomy Database
   rank: PHYLUM
   OTU: true 
   nameTypeMapping:
     HYBRID: OTU
     BLACKLISTED: OTU
     DOUBTFUL: OTU
     NO_NAME: OTU
     INFORMAL: OTU
 - key: aa1bc573-f338-482d-b6aa-f371d57f20f5 # Genome Taxonomy Database supplement
   rank: PHYLUM
   OTU: true 
   nameTypeMapping:
     HYBRID: OTU
     BLACKLISTED: OTU
     DOUBTFUL: OTU
     NO_NAME: OTU
     INFORMAL: OTU
 - key: 7ddf754f-d193-4cc9-b351-99906754a03b # Catalogue of Life
   rank: KINGDOM
   homonyms: true
   exclude:
    - name: Bacteria # follow GTDB instead
      rank: KINGDOM      
    - name: Archaea  # follow GTDB instead
      rank: KINGDOM       
 - key: 80dd9c94-241b-4d49-999f-c89de7648525 # World Spider Catalog
   scope:
     name: Arachnida
     rank: CLASS 
 - key: f382f0ce-323a-4091-bb9f-add557f3a9a2 # World Checklist of Vascular Plants
   scope:
     name: Plantae
     rank: KINGDOM 
 - key: 52a423d2-0486-4e77-bcee-6350d708d6ff # Prokaryotic Nomenclature Up-to-date
 - key: e01b0cbb-a10a-420c-b5f3-a3b20cc266ad # ICTV Master Species List
 - key: 47f16512-bf31-410f-B272-d151c996b2f6 # The Clements Checklist
   scope:
      name: Aves
      rank: CLASS
 - key: c696e5ee-9088-4d11-bdae-ab88daffab78 # IOC World Bird Names
   scope:
      name: Aves
      rank: CLASS
 - key: 47a779a6-a230-4edd-b787-19c3d2c80ab5 # Species Files ORG
 - key: 994e75fa-b187-4b07-a30e-665f4acbe394 # Myriatrix
   scope:
      name: Arthropoda
      rank: PHYLUM
   exclude:
    - name: Deleted taxa
      rank: UNRANKED
 - key: 763a8aa3-65de-443e-bd20-bbe958a1ef74 # New Zealand Marine Macroalgae
   rank: FAMILY
 - key: 2d59e5db-57ad-41ff-97d6-11f5fb264527 # World Register of Marine Species
 - key: f43069fe-38c1-43e3-8293-37583dcf5547 # Danish Mycological Society - Checklist of Fungi
   scope:
      name: Fungi
      rank: KINGDOM 
 - key: a43ec6d8-7b8a-4868-ad74-56b824c75698 # Fungi, flora and fauna of Madeira and Selvagens
 - key: da38f103-4410-43d1-b716-ea6b1b92bbac # Catalogue of Afrotropical Bees
 - key: ded724e7-3fde-49c5-bfa3-03b4045c4c5f # EDIT Cichorieae
 - key: 56c83fd9-533b-4b77-a67a-cf521816866e # Catalogue of Tenebrionidae (Coleoptera) of North America
 - key: 7a9bccd4-32fc-420e-a73b-352b92267571 # Checklist of Beetles (Coleoptera) of Canada and Alaska. Second Edition.
 - key: e768b669-5f12-42b3-9bc7-ede76e4436fa # Carabodes cephalotes
 - key: e402255a-aed1-4701-9b96-14368e1b5d6b # World Typhlocybinae database
 - key: 96dfd141-7bca-4f82-9325-4420d24e0793 # Spinnengids
 - key: 65c9103f-2fbf-414b-9b0b-e47ca96c5df2 # Afromoths
 - key: bd25fbf7-278f-41d6-bc17-9f08f2632f70 # True Fruit Flies of the Afrotropical Region
 - key: 1a540a73-a60d-4816-bff6-b1ac74b598c9 # DiversityTaxonNames Server
 - key: 19491596-35ae-4a91-9a98-85cf505f1bd3 # IUCN redlist
 - key: 672aca30-f1b5-43d3-8a2b-c1606125fa1b # Mammal Species of the World
   scope:
      name: Mammalia
      rank: CLASS
 - key: de8934f4-a136-481c-a87a-b0b202b80a31 # Dyntaxa - Svensk taxonomisk databas
   exclude:
    - name: Bursaphelenchus xylophilus # misapplied only!
      rank: SPECIES
 - key: aacd816d-662c-49d2-ad1a-97e66e2a2908 # Flora of Brazil
 - key: 4dd32523-a3a3-43b7-84df-4cda02f15cf7 # Dutch Species Register
 - key: a6c6cead-b5ce-4a4e-8cf5-1542ba708dec # Artsnavnebasen
 - key: bae5856f-da10-4333-90a0-5a2135361b30 # Leipzig catalogue of vascular plants
   scope:
      name: Plantae
      rank: KINGDOM
   exclude:
    - name: Paradiophyllochloa cordovensis # https://github.com/gbif/portal-feedback/issues/4835
      rank: SPECIES
    - name: Paradiophyllochloa missiona
      rank: SPECIES
    - name: Paradiophyllochloa ovulifera
      rank: SPECIES
    - name: Paradiophyllochloa penicillata
      rank: SPECIES
 - key: 3f8a1297-3259-4700-91fc-acc4170b27ce # Database of Vascular Plants of Canada (VASCAN)
   scope:
      name: Plantae
      rank: KINGDOM 
 - key: 1ffe055f-adda-461e-823a-d98e53d1e8de # Annotated checklist of endemic species from the Western Balkans
 - key: 4b3e4a71-704a-485c-917c-20a89944ea37 # Danish national list
   exclude:
    - name: Fungi
      rank: KINGDOM      
 - key: dbaa27eb-29e7-4cbb-8eab-3f689cfce116 # UK Species Inventory
 - key: d9a4eedb-e985-4456-ad46-3df8472e00e8 # Plant List with literature
   scope:
      name: Plantae
      rank: KINGDOM 
 - key: 9ca92552-f23a-41a8-a140-01abaa31c931 # ITIS
 - key: 0e61f8fe-7d25-4f81-ada7-d970bbb2c6d6 # TAXREF
 - key: 66dd0960-2d7d-46ee-a491-87b9adcfe7b1 # GRIN Taxonomy
   scope:
      name: Plantae
      rank: KINGDOM 
 - key: 1ec61203-14fa-4fbd-8ee5-a4a80257b45a # The National Checklist of Taiwan
 - key: e1c9e885-9d8c-45b5-9f7d-b710ac2b303b # Endemic species in Taiwan
 - key: 1ffe055f-adda-461e-823a-d98e53d1e8de # Annotated checklist of endemic species from the Western Balkans
 - key: 90d9e8a6-0ce1-472d-b682-3451095dbc5a # Fauna Europaea
 - key: c301eb23-63d4-48dd-addf-b2a9c9c260fd # Asiloid Flies. New taxa of Diptera Apioceridae, Asilidae, and Mydidae
 - key: 8d431c96-9e2f-4249-8b0a-d875e3273908 # Catalogue of the type specimens of Cosmopterigidae
 - key: b267ac9b-6516-458e-bea7-7643842187f7 # Catalogue of the type specimens of Polycestinae
 - key: 5c7bf05c-2890-48e8-9b65-a6060cb75d6d # Catalogue of the type specimens of Bufonidae and Megophryidae
 - key: e2116003-7282-4547-bf24-dabe0a0d76ee # Systema Dipterorum
   scope:
     name: Diptera
     rank: ORDER 
 - key: 046bbc50-cae2-47ff-aa43-729fbf53f7c5 # International Plant Names Index
   scope:
      name: Plantae
      rank: KINGDOM 
 - key: 80b4b440-eaca-4860-aadf-d0dfdd3e856e # Official Lists and Indexes of Names in Zoology
   scope:
      name: Animalia
      rank: KINGDOM 
 - key: c8227bb4-4143-443f-8cb2-51f9576aff14 # ZooBank
   rank: GENUS
   scope:
      name: Animalia
      rank: KINGDOM 
 - key: 61a5f178-b5fb-4484-b6d8-9b129739e59d # UNITE - Unified system for the DNA based fungal species linked to the classification
   OTU: true 
   exclude:
    - name: Alveolata
      rank: KINGDOM
    - name: Amoebozoa
      rank: KINGDOM
    - name: Apusozoa
      rank: KINGDOM
    - name: Choanoflagellozoa
      rank: KINGDOM
    - name: Cryptista
      rank: KINGDOM
    - name: Euglenozoa
      rank: KINGDOM
    - name: Eukaryota kgd Incertae sedis
      rank: KINGDOM
    - name: Filasteriae
      rank: KINGDOM
    - name: Fornicata
      rank: KINGDOM
    - name: Glaucocystoplantae
      rank: KINGDOM
    - name: Haptista
      rank: KINGDOM
    - name: Heterolobosa
      rank: KINGDOM
    - name: Ichthyosporia
      rank: KINGDOM
    - name: Metazoa
      rank: KINGDOM
    - name: Nucleariae
      rank: KINGDOM
    - name: Parabasalia
      rank: KINGDOM
    - name: Picozoa
      rank: KINGDOM
    - name: Planomonada
      rank: KINGDOM
    - name: Protista
      rank: KINGDOM
 - key: 4cec8fef-f129-4966-89b7-4f8439aba058 # iBOL/BOLD
   OTU: true
   exclude:
    - name: Curculionidae
      rank: GENUS
 - key: f65a5234-a8f5-4c03-baa6-029fb56ac55b # Cortinariaceae from Index Fungorum API
   scope:
      name: Fungi
      rank: KINGDOM 
 - key: bf3db7c9-5e5d-4fd0-bd5b-94539eaf9598 # Index Fungorum
   scope:
      name: Fungi
      rank: KINGDOM 
 - key: 0ed9e0d4-af21-4f49-9f49-11e75d690b93 # Backbone Nomenclator
 - key: 0938172b-2086-439c-a1dd-c21cb0109ed5 # IRMNG
 - key: 5c0b1470-8884-4914-ae76-70a7c81d6d08 # Catálogo de Plantas y Líquenes de Colombia
 - key: 6c9c4b08-4cec-4160-a708-7f16060d7db0 # Lista de referencia de especies de aves de Colombia - 2020
   scope:
      name: Aves
      rank: CLASS
 - key: 973da290-27d9-48cc-9e29-3186dafdb506 # Lista de especies de vertebrados registrados en jurisdicción del Departamento del Huila
 - key: 00e791be-36ae-40ee-8165-0b2cb0b8c84f # Famous species
   rank: GENUS
 - key: 7ce8aef0-9e92-11dc-8738-b8a03c50a862 # Plazi ORG
   rank: GENUS
   synonyms: false
 - key: fcab086c-35a9-4080-90f9-7a644afbe81c # Russian Earthworms, pt1
   scope:
      name: Clitellata
      rank: CLASS
 - key: 4aace3c6-f108-439a-82af-b4615404a236 # Russian Earthworms, pt2
   scope:
      name: Clitellata
      rank: CLASS
 - key: c33ce2f2-c3cc-43a5-a380-fe4526d63650 # Paleobiology Database
 - key: 6e4c3b6f-0126-4c5f-bd63-fe6ffd3b29fa # Family Classification Patch

# excluded datasets from publishers like Plazi
datasetExclusions:
  - c35887df-f50e-4c13-8b29-5f23d0e1df75  # Hyla Quoyi-Hyla Prasina Case

# epithets keyed by family
basionymExclusions:
  Chrysomelidae:
    - nigripennis # https://github.com/gbif/checklistbank/issues/179
  Orchidaceae:
    - extinctoria # https://github.com/gbif/portal-feedback/issues/4170
  Cicadellidae:
    - guttulata # https://github.com/CatalogueOfLife/testing/issues/135
  Nymphalidae:
    - mylitta # https://github.com/gbif/portal-feedback/issues/4332


# Wrong homonyms above species rank that should be excluded from the backbone, regardless of which source they came from.
# List of canonical names with its direct parent to identifiy the version to be removed.
# All other names with the same canonical name, but different parent, are kept.
homonymExclusions:
  # order
  Diplomonadida:
    - Eopharyngea
  Piroplasmida:
    - Miozoa
  Trichomonadida:
    - Trichomonadea
  
  # families
  Glossoscolecidae:
    - Crassiclitellata
  
  # genera
  Abisara:
    - Riodinidae
  Actinosphaera:
    - Watznaueriaceae
  Aethia:
    - Lonchocephalidae
  Alesa:
    - Riodinidae
  Anama:
    - Cerambycidae
  Ancyluris:
    - Riodinidae
  Aniculus:
    - Paguridea
  Anteros:
    - Riodinidae
  Apodemia:
    - Riodinidae
  Argyrogrammana:
    - Riodinidae
  Aricoris:
    - Riodinidae
  Arpadites:
    - Trachyceratidae
  Audre:
    - Riodinidae
  Axiagasta:
    - Geometridae
  Babesia:
    - Aegyptianella
  Baeotis:
    - Riodinidae
  Barbicornis:
    - Riodinidae
  Barroisiceras:
    - Muniericeratidae
  Bartramia:
    - Bryopsida
  Cadosinopsis:
    - Thoracosphaeraceae
  Calephelis:
    - Riodinidae
  Calydna:
    - Riodinidae
  Caria:
    - Riodinidae
  Carterus:
    - Curculionidae
  Cerceris:
    - Masaridae
  Chaetophora:
    - Chaetophoraceae
  Chalodeta:
    - Riodinidae
  Chamaelimnas:
    - Riodinidae
  Charis:
    - Riodinidae
  Chorinea:
    - Riodinidae
  Cicada:
    - Animalia
    - Cicadellidae
  Clionites:
    - Sandlingitidae
  Cnemidophorus:
    - Curculionidae
  Coccinella:
    - Hydrophilidae
    - Mollusca
  Colaciticus:
    - Riodinidae
  Cremna:
    - Riodinidae
  Curculionites:
    - Coleoptera
  Cyrtia:
    - Syringothyrididae
  Dardanus:
    - Paguridae
  Dicallaneura:
    - Riodinidae
  Discias:
    - Bresiliidae
  Dodona:
    - Riodinidae
  Ducellieria:
    - Ducellieriaceae
  Dysmathia:
    - Riodinidae
  Ematurgina:
    - Riodinidae
  Emesis:
    - Riodinidae
  Endemosarca:
    - Endemosarcaceae
  Esthemopsis:
    - Riodinidae
  Eurybia:
    - Riodinidae
  Euselasia:
    - Riodinidae
  Heliodiscus:
    - Bacillariophyceae
  Hermathena:
    - Riodinidae
  Heteronyx:
    - Curculionidae
  Hiatella:
    - Lyonsiidae
  Hirundo:
    - Annelida
  Hyphilaria:
    - Riodinidae
  Ichneumon:
    - Eulophidae
  Imelda:
    - Riodinidae
  Ithomeis:
    - Riodinidae
  Ithomiola:
    - Riodinidae
  Ixodes:
    - Aves
  Jerdonia:
    - Aves # https://github.com/gbif/portal-feedback/issues/2724
  Komiella:
    - Rugosochonetidae
  Lasaia:
    - Riodinidae
  Lemonias:
    - Riodinidae
  Lepricornis:
    - Riodinidae
  Leucochimona:
    - Riodinidae
  Ligniera:
    - Plasmodiophoraceae
  Lyropteryx:
    - Riodinidae
  Lytoceras:
    - Tetragonitidae
  Melanis:
    - Riodinidae
  Membranosorus:
    - Plasmodiophoraceae
  Menander:
    - Riodinidae
  Mesene:
    - Riodinidae
  Mesenopsis:
    - Riodinidae
  Mesosemia:
    - Riodinidae
  Metacharis:
    - Riodinidae
  Milvus:
    - Falconidae
  Monethe:
    - Riodinidae
  Musca:
    - Tachinidae
  Napaea:
    - Riodinidae
  Necyria:
    - Riodinidae
  Nymphidium:
    - Riodinidae
  Octomyxa:
    - Plasmodiophoraceae
  Octotoma:
    - Dryophthoridae
  Oligomerus:
    - Ptinidae
  Omma:
    - Cupedidae
  Pachythone:
    - Riodinidae
  Panara:
    - Riodinidae
  Pandemos:
    - Riodinidae
  Paracrangon:
    - Hippolytidae
  Parahoplites:
    - Deshayesitidae
  Paralaxita:
    - Riodinidae
  Pelecanus:
    - Dinosauria
  Phaenochitonia:
    - Riodinidae
  Planaria:
    - Nemertea
  Plasmodiophora:
    - Plasmodiophoraceae
  Platyrhynchus:
    - Attelabidae
  Pleuridium:
    - Archidiaceae
  Polycaena:
    - Riodinidae
  Polymyxa:
    - Plasmodiophoraceae
  Praetaxila:
    - Riodinidae
  Productus:
    - Aulostegidae
  Productus:
    - Linoproductidae
  Productus:
    - Productellidae
  Psorergates:
    - Cheyletidae
  Pterographium:
    - Riodinidae
  Raphidiophrys:
    - Raphidiophryidae
  Rodinia:
    - Riodinidae
  Roeberella:
    - Riodinidae
  Semomesia:
    - Riodinidae
  Setabis:
    - Riodinidae
  Siseme:
    - Riodinidae
  Sorodiscus:
    - Plasmodiophoraceae
  Sphex:
    - Pompilidae
  Sphex:
    - Vespidae
  Spirifer:
    - Paeckelmanellidae
  Spiriferina:
    - Paraspiriferinidae
  Spiriferina:
    - Spiriferellidae
  Sporomyxa:
    - Plasmodiophoraceae
  Stichelia:
    - Riodinidae
  Symmachia:
    - Riodinidae
  Syrmatia:
    - Riodinidae
  Taxila:
    - Riodinidae
  Teratophthalma:
    - Riodinidae
  Tetramyxa:
    - Plasmodiophoraceae
  Tettigonia:
    - Cicadidae
  Thalassomyces:
    - Ellobiopsidae
  Themone:
    - Riodinidae
  Theope:
    - Riodinidae
  Vrilletta:
    - Curculionidae
  Woronina:
    - Plasmodiophoraceae
  Xenandra:
    - Riodinidae
  Zelotaea:
    - Riodinidae
